## rock-master-18.06-perception-viso2 0.20170621

=== Makefile ===
#############################################################################
# Makefile for building: stereomapper
# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon Jun 6 11:27:33 2011
# Project:  stereomapper.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -o Makefile stereomapper.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -pipe -fomit-frame-pointer -msse3 -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4 -I/usr/X11R6/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -ldc1394 -lcxcore -lcv -lhighgui -lQtOpenGL -lQtGui -lQtCore -lGLU -lGL -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		maindialog.cpp \
		selectcamerasdialog.cpp \
		framecapturethread.cpp \
		stereoimage.cpp \
		view2d.cpp \
		calibio.cpp \
		view3d.cpp \
		visualodometrythread.cpp \
		stereothread.cpp \
		../libelas/src/elas.cpp \
		../libelas/src/descriptor.cpp \
		savestereoimagethread.cpp \
		readfromfilesthread.cpp \
		visualizethread.cpp \
		planeestimation.cpp \
		../libviso2/src/visualodometry.cpp \
		../libviso2/src/triangle.cpp \
		../libviso2/src/matrix.cpp \
		../libviso2/src/filter.cpp \
		../libviso2/src/matcher.cpp moc_maindialog.cpp \
		moc_selectcamerasdialog.cpp \
		moc_framecapturethread.cpp \
		moc_stereoimage.cpp \
		moc_view2d.cpp \
		moc_view3d.cpp \
		moc_visualodometrythread.cpp \
		moc_stereothread.cpp \
		moc_savestereoimagethread.cpp \
		moc_readfromfilesthread.cpp \
		moc_visualizethread.cpp
OBJECTS       = main.o \
		maindialog.o \
		selectcamerasdialog.o \
		framecapturethread.o \
		stereoimage.o \
		view2d.o \
		calibio.o \
		view3d.o \
		visualodometrythread.o \
		stereothread.o \
		elas.o \
		descriptor.o \
		savestereoimagethread.o \
		readfromfilesthread.o \
		visualizethread.o \
		planeestimation.o \
		visualodometry.o \
		triangle.o \
		matrix.o \
		filter.o \
		matcher.o \
		moc_maindialog.o \
		moc_selectcamerasdialog.o \
		moc_framecapturethread.o \
		moc_stereoimage.o \
		moc_view2d.o \
		moc_view3d.o \
		moc_visualodometrythread.o \
		moc_stereothread.o \
		moc_savestereoimagethread.o \
		moc_readfromfilesthread.o \
		moc_visualizethread.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		stereomapper.pro
QMAKE_TARGET  = stereomapper
DESTDIR       = 
TARGET        = stereomapper

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_maindialog.h ui_selectcamerasdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: stereomapper.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtOpenGL.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -o Makefile stereomapper.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtOpenGL.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -o Makefile stereomapper.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/stereomapper1.0.0 || $(MKDIR) .tmp/stereomapper1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/stereomapper1.0.0/ && $(COPY_FILE) --parents maindialog.h selectcamerasdialog.h framecapturethread.h stereoimage.h view2d.h calibio.h view3d.h visualodometrythread.h stereothread.h ../libelas/src/elas.h ../libelas/src/descriptor.h savestereoimagethread.h readfromfilesthread.h visualizethread.h planeestimation.h ../libviso2/src/visualodometry.h ../libviso2/src/triangle.h ../libviso2/src/timer.h ../libviso2/src/matrix.h ../libviso2/src/matcher.h ../libviso2/src/filter.h .tmp/stereomapper1.0.0/ && $(COPY_FILE) --parents main.cpp maindialog.cpp selectcamerasdialog.cpp framecapturethread.cpp stereoimage.cpp view2d.cpp calibio.cpp view3d.cpp visualodometrythread.cpp stereothread.cpp ../libelas/src/elas.cpp ../libelas/src/descriptor.cpp savestereoimagethread.cpp readfromfilesthread.cpp visualizethread.cpp planeestimation.cpp ../libviso2/src/visualodometry.cpp ../libviso2/src/triangle.cpp ../libviso2/src/matrix.cpp ../libviso2/src/filter.cpp ../libviso2/src/matcher.cpp .tmp/stereomapper1.0.0/ && $(COPY_FILE) --parents maindialog.ui selectcamerasdialog.ui .tmp/stereomapper1.0.0/ && (cd `dirname .tmp/stereomapper1.0.0` && $(TAR) stereomapper1.0.0.tar stereomapper1.0.0 && $(COMPRESS) stereomapper1.0.0.tar) && $(MOVE) `dirname .tmp/stereomapper1.0.0`/stereomapper1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/stereomapper1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_maindialog.cpp moc_selectcamerasdialog.cpp moc_framecapturethread.cpp moc_stereoimage.cpp moc_view2d.cpp moc_view3d.cpp moc_visualodometrythread.cpp moc_stereothread.cpp moc_savestereoimagethread.cpp moc_readfromfilesthread.cpp moc_visualizethread.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_maindialog.cpp moc_selectcamerasdialog.cpp moc_framecapturethread.cpp moc_stereoimage.cpp moc_view2d.cpp moc_view3d.cpp moc_visualodometrythread.cpp moc_stereothread.cpp moc_savestereoimagethread.cpp moc_readfromfilesthread.cpp moc_visualizethread.cpp
moc_maindialog.cpp: framecapturethread.h \
		stereoimage.h \
		calibio.h \
		visualodometrythread.h \
		../libviso2/src/visualodometry.h \
		../libviso2/src/matcher.h \
		../libviso2/src/matrix.h \
		../libviso2/src/timer.h \
		stereothread.h \
		view3d.h \
		planeestimation.h \
		../libelas/src/elas.h \
		../libelas/src/timer.h \
		savestereoimagethread.h \
		readfromfilesthread.h \
		visualizethread.h \
		view2d.h \
		maindialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) maindialog.h -o moc_maindialog.cpp

moc_selectcamerasdialog.cpp: framecapturethread.h \
		stereoimage.h \
		calibio.h \
		selectcamerasdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) selectcamerasdialog.h -o moc_selectcamerasdialog.cpp

moc_framecapturethread.cpp: stereoimage.h \
		calibio.h \
		framecapturethread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) framecapturethread.h -o moc_framecapturethread.cpp

moc_stereoimage.cpp: stereoimage.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) stereoimage.h -o moc_stereoimage.cpp

moc_view2d.cpp: ../libviso2/src/matcher.h \
		../libviso2/src/matrix.h \
		view2d.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) view2d.h -o moc_view2d.cpp

moc_view3d.cpp: ../libviso2/src/matrix.h \
		view3d.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) view3d.h -o moc_view3d.cpp

moc_visualodometrythread.cpp: calibio.h \
		stereoimage.h \
		../libviso2/src/visualodometry.h \
		../libviso2/src/matcher.h \
		../libviso2/src/matrix.h \
		../libviso2/src/timer.h \
		visualodometrythread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) visualodometrythread.h -o moc_visualodometrythread.cpp

moc_stereothread.cpp: view3d.h \
		../libviso2/src/matrix.h \
		calibio.h \
		stereoimage.h \
		planeestimation.h \
		../libelas/src/elas.h \
		../libelas/src/timer.h \
		stereothread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) stereothread.h -o moc_stereothread.cpp

moc_savestereoimagethread.cpp: stereoimage.h \
		savestereoimagethread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) savestereoimagethread.h -o moc_savestereoimagethread.cpp

moc_readfromfilesthread.cpp: calibio.h \
		stereoimage.h \
		readfromfilesthread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) readfromfilesthread.h -o moc_readfromfilesthread.cpp

moc_visualizethread.cpp: view2d.h \
		../libviso2/src/matcher.h \
		../libviso2/src/matrix.h \
		view3d.h \
		visualizethread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) visualizethread.h -o moc_visualizethread.cpp

compiler_rcc_make_all:
compiler_rcc_clean:

=== debian/changelog ===
rock-master-18.06-perception-viso2 (0.20170621-1~bionic) unstable; urgency=low

  * Package automatically built using autoproj-package debian
  * url: http://www.cvlibs.net/downloads/libviso2.zip
  * filename: libviso2.zip

 -- Packaging Daemon <rock-dev@dfki.de>  Thu, 19 Jul 2018 19:08:34 +0200

=== debian/control ===
Source: rock-master-18.06-perception-viso2
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, build-essential, cmake, libeigen3-dev, libpng++-dev, rock-master-18.06-base-cmake
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-18.06-perception-viso2
Architecture: any
Depends: ${shlibs:Depends}, rock-master-18.06-base-cmake, cmake, build-essential, libeigen3-dev, libpng++-dev
Description: LIBVISO2: C++ Library for Visual Odometry 2
 LIBVISO2 (Library for Visual Odometry 2) is a very fast cross-platfrom (Linux, Windows)
  C++ library with MATLAB wrappers for computing the 6 DOF motion of a moving mono/stereo
  camera. The stereo version is based on minimizing the reprojection error of sparse
  feature matches and is rather general (no motion model or setup restrictions except that
  the input images must be rectified and calibration parameters are known). The monocular
  version is still very experimental and uses the 8-point algorithm for fundamental matrix
  estimation. It further assumes that the camera is moving at a known and fixed height over
  ground (for estimating the scale). Due to the 8 correspondences needed for the 8-point
  algorithm, many more RANSAC samples need to be drawn, which makes the monocular algorithm
  slower than the stereo algorithm, for which 3 correspondences are sufficent to estimate
  parameters

=== debian/rules ===
#!/usr/bin/make -f

# BEGIN ENVIRONMENT SETUP
# https://www.debian.org/doc/debian-policy/ch-source.html
# nocheck: This tag says to not run any build-time test suite provided by the package.
export DEB_BUILD_OPTIONS=nocheck

# Setup of $(arch), $(rockruby_libdir) and $(rockruby_archdir)
arch=$(shell gcc -print-multiarch)
ruby_ver=$(shell ruby --version)
ruby_arch_dir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['archdir']")
ruby_libdir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']")
rockruby_archdir=$(subst /usr,,$(ruby_arch_dir))
rockruby_libdir=$(subst /usr,,$(ruby_libdir))
# Setup of paths: PATH,PKG_CONFIG_PATH,RUBYLIB,...
master1806_install_dir = /opt/rock/master-18.06
env_setup =  PATH=$(master1806_install_dir)/bin:$(PATH)
env_setup += RUBYLIB=$(master1806_install_dir)/$(rockruby_libdir):$(master1806_install_dir)/$(rockruby_archdir):$(master1806_install_dir)/lib/ruby/vendor_ruby/standard:$(master1806_install_dir)/lib/ruby/vendor_ruby/core:$(master1806_install_dir)/lib/ruby/vendor_ruby:$(RUBYLIB)
env_setup += PKG_CONFIG_PATH=$(master1806_install_dir)/lib/pkgconfig:$(master1806_install_dir)/lib/$(arch)/pkgconfig:/usr/share/pkgconfig:/usr/lib/$(arch)/pkgconfig:$(PKG_CONFIG_PATH)
env_setup += Rock_DIR=$(master1806_install_dir)/share/rock/cmake:$(Rock_DIR)
env_setup += LD_LIBRARY_PATH=$(master1806_install_dir)/lib:$(master1806_install_dir)/lib/$(arch):$(LD_LIBRARY_PATH)
env_setup += CMAKE_PREFIX_PATH=$(master1806_install_dir):$(CMAKE_PREFIX_PATH)
env_setup += OROGEN_PLUGIN_PATH=$(master1806_install_dir)/share/orogen/plugins:$(OROGEN_PLUGIN_PATH)
export TYPELIB_CXX_LOADER=castxml
export DEB_CPPFLAGS_APPEND=-std=c++11
export npm_config_cache=/tmp/npm
rock_library_dirs=$(master1806_install_dir)/lib:$(master1806_install_dir)/lib/$(arch):
rock_install_dir=/opt/rock/master-18.06
# Check if a python command is available and identify the version
# and identify the setup.py file
python_cmd=$(shell command -v python 2> /dev/null)
ifneq ("$(python_cmd)","")
python_version=$(shell python -c 'import sys; print "{0}.{1}".format(sys.version_info[0],sys.version_info[1])')
# Get dirname a setup.py match
python_setup_dir=$(shell find $(DEB_SRCDIR) -name setup.py | tail -n 1 | xargs dirname)
endif

DEB_VERBOSE_ALL=1
include /usr/share/cdbs/1/rules/debhelper.mk
extra_lib_dir=$(shell pwd)/debian/rock-master-18.06-perception-viso2$(rock_install_dir)/lib
# This argument list is forwarded to dh_shlibdeps which takes the -l option and a colon separated list of libraries
# (not that this is different from the linker arguments)
DEB_DH_SHLIBDEPS_ARGS_ALL=-l$(extra_lib_dir):$(extra_lib_dir)/$(arch):$(rock_library_dirs)

rock_doc_install_dir=$(rock_install_dir)/share/doc/rock-master-18.06-perception-viso2

pre-build::
	echo "Detected:"
	echo "   ruby version: $(ruby_ver)"
	echo "   ruby libdir: $(rockruby_libdir)"
	echo "   ruby archdir: $(rockruby_archdir)"

	#echo "Current directory:"
	#find .

# END ENVIRONMENT SETUP
######################################
# BEGIN OROGEN -- This block needs to be executed before CMAKE


# END OROGEN
######################################
# BEGIN CMAKE
#
# Defining the cmake command and setting the required enviroment variables
# PKG_CONFIG_PATH Resolve Rock package via pkg-config
# Rock_DIR Set to make sure find_package(Rock) does work
# ROCK_CMAKE_MACROS Used in some patches to set the CMAKE_MODULE_PATH, allowing to find Rock.cmake
CMAKE = $(env_setup) cmake
DEB_CMAKE_INSTALL_PREFIX = $(rock_install_dir)

# Debian packaging discourages the use of rpath, but
# cdbs actively sets CMAKE_SKIP_RPATH=ON, so reinforcing OFF here
DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_SKIP_RPATH=OFF
# Telling FindGEM.cmake to search for os packages using pkg-config and not for gems
DEB_CMAKE_EXTRA_FLAGS += -DGEM_OS_PKG=TRUE
# Leaving RUBY_EXECUTABLE unset since it maps to a path of the user executing the upload script
DEB_CMAKE_EXTRA_FLAGS +=  -DCMAKE_EXPORT_COMPILE_COMMANDS="ON"  -DROCK_USE_CXX11="ON"
# Disable ROCK Testing -- since running test on the OBS would require proper setting of path, etc. (see. data_processing/type_to_vector)
DEB_CMAKE_EXTRA_FLAGS += -DROCK_TEST_ENABLED=OFF -UROCK_TEST_LOG_DIR
include /usr/share/cdbs/1/class/cmake.mk

# END CMAKE
##########################################
# BEGIN AUTOTOOLS
#


# http://cdbs-doc.duckcorp.org/en/cdbs-doc.xhtml see post-configure actions
# replace all entries of -I with -I and -isystem in order to 
#   (a) guarantee that pkgconfig can still knowns the include directory (-I)
#   (b) the include directory is actually accounted for as system include directory (-isystem)
# Account for the fact, that configure is called multiple times e.g. revert changes first, then reapply
configure/rock-master-18.06-perception-viso2::
	echo "Adapt -I to -isystem in pkgconfig files:"
	find . -name '[a-zA-Z]*.pc' -exec sh -c "echo Adapting {}; sed -i 's#\(\"\?\)-isystem[^ ]\+\1##g; s#\(\"\?\)-I\([^ ]\+\)\1#\1-I\2\1 \1-isystem\2\1#g; s#[ ]\+# #g' {}; cat {};" \;

###########################################
# DOCS


# Build docs
# This checks for Doxyfile and runs doxygen with that.
# Otherwise, it tries the "doc" target.
# Since docs are not critical, ignore failures('-' on recipe line start).
# The make call is supposed to be invoked even if -t or -n is selected,
# with the appropriate flags('+' on recipe line start)

common-build-arch common-build-indep:: debian/stamp-rock-doc
debian/stamp-rock-doc:
	-+$(DEB_MAKE_INVOKE) doc
	touch $@

common-install-arch common-install-indep:: common-install-rock-doc install-extensions
common-install-rock-doc::
	mkdir -p $(DEB_DESTDIR)$(rock_doc_install_dir)
	$(if $(wildcard $(DEB_SRCDIR)/doc/html),-cp -r "$(DEB_SRCDIR)/doc/html" "$(DEB_DESTDIR)$(rock_doc_install_dir)",$(if $(wildcard $(DEB_SRCDIR)/doc),-cp -r "$(DEB_SRCDIR)/doc" "$(DEB_DESTDIR)$(rock_doc_install_dir)"))
	$(if $(wildcard $(DEB_BUILDDIR)/doc/html),-cp -r "$(DEB_BUILDDIR)/doc/html" "$(DEB_DESTDIR)$(rock_doc_install_dir)",$(if $(wildcard $(DEB_BUILDDIR)/doc),-cp -r "$(DEB_BUILDDIR)/doc" "$(DEB_DESTDIR)$(rock_doc_install_dir)"))

install-extensions:: install-python
install-python::
ifneq ("$(python_setup_dir)","")
	echo "Installing python extension in $(python_setup_dir)"
	mkdir -p $(DEB_DESTDIR)$(rock_install_dir)/lib/python$(python_version)/site-packages
	cd $(python_setup_dir); $(python_cmd) setup.py build; PYTHONPATH=$(DEB_DESTDIR)$(rock_install_dir)/lib/python$(python_version)/site-packages/ $(python_cmd) setup.py install --prefix=$(DEB_DESTDIR)$(rock_install_dir); cd -
endif

clean::
	rm -f debian/stamp-rock-doc
	rm -rf $(DEB_SRCDIR)/doc/html


# END DOCS
###########################################
